Bug 376081 - The radvd init script exits without doing anything if /usr/sbin/radvd exists
The radvd init script exits without doing anything if /usr/sbin/radvd exists
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: radvd (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Bacovsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 10:54 EST by Tom Hughes
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2007-11-11 10:54:22 EST
Description of problem:

The radvd init script in /etc/rc.d/init.d has code at the top that makes it exit
with an exit code of either 1 or 4 (depending on the command) if the radvd
daemon exists in /usr/sbin.

I can only assume that this test is meant to be the other way round?

Version-Release number of selected component (if applicable):

radvd-1.0-4.1.fc8

How reproducible:

Happens every time you try and use the init script.

Steps to Reproduce:

Try and start radvd with "service radvd start"
  
Actual results:

Nothing.

Expected results:

The radvd daemon starts.

Additional info:
Comment 1 Martin Bacovsky 2007-11-13 09:44:54 EST
Fixed radvd (radvd-1.0-5.fc8) was pushed to testing repo.
Comment 2 Fedora Update System 2007-11-14 22:37:48 EST
radvd-1.0-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update radvd'
Comment 3 Fedora Update System 2007-11-20 12:45:35 EST
radvd-1.0-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.